package org.jdtaus.banking.ri.currencydir;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class XMLCurrencyDirectoryBundle{ 

/** <pre> {0} cannot be monitored. {1}</pre>. */
public static String getNotMonitoringWarningText(final Locale locale) {
    return getMessage("notMonitoringWarning", locale);
}

/** <pre> {0} cannot be monitored. {1}</pre>. */
public static MessageFormat getNotMonitoringWarningMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("notMonitoringWarning", locale), locale);
}

/** <pre> Monitoring {0} for changes.</pre>. */
public static String getMonitoringInfoText(final Locale locale) {
    return getMessage("monitoringInfo", locale);
}

/** <pre> Monitoring {0} for changes.</pre>. */
public static MessageFormat getMonitoringInfoMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("monitoringInfo", locale), locale);
}

/** <pre> No JAXP validation available. {0}</pre>. */
public static String getNoJAXPValidationWarningText(final Locale locale) {
    return getMessage("noJAXPValidationWarning", locale);
}

/** <pre> No JAXP validation available. {0}</pre>. */
public static MessageFormat getNoJAXPValidationWarningMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("noJAXPValidationWarning", locale), locale);
}

/** <pre> {0} changed.</pre>. */
public static String getChangeInfoText(final Locale locale) {
    return getMessage("changeInfo", locale);
}

/** <pre> {0} changed.</pre>. */
public static MessageFormat getChangeInfoMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("changeInfo", locale), locale);
}

private static final Map cache = new HashMap();

private static String getMessage(final String key, Locale locale) {
    if(locale == null) {locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.banking.ri.currencydir.XMLCurrencyDirectory", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
